Subject: bug#27192: 25.2; c-mode narrow-to-region broken

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Jun 2017 09:31:58 +0300

> From: Gordon Ross <[email-masked]>
> Date: Thu, 1 Jun 2017 21:17:16 -0400
> 
> I often use "narrow-to-region" in c-mode when I want to do something
> like replace-string but just within the bounds of one C function or
> (in the example represented in this bug report) the entirety of one
> switch statement starting with switch (expr) { ... ending with }
> 
> After my recent upgrade to emacs 25.2, the TAB "auto-indent" feature
> usually doesn't work in such a narrowed region, briefly showing
> complaints in the minibuffer (See "Args out of range" in messages
> section below) and not indenting.

Please show an example of a buffer where this happens, and tell to
which part to narrow it in order to reproduce the problem.

Thanks.